de.vc.io.rtf.parser

## Class DocumentBuilder

- java.lang.Object
- - de.vc.io.rtf.parser.DocumentBuilder

-     public abstract class DocumentBuilder
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `AUTOTEXT_PAGE_NUMBER`
    `static int` | `AUTOTEXT_SECTION_NUMBER`
    `protected static int` | `HEADER_FOOTER_TYPE_ALL`
    `protected static int` | `HEADER_FOOTER_TYPE_FIRST`
    `protected static int` | `HEADER_FOOTER_TYPE_LEFT`
    `protected static int` | `HEADER_FOOTER_TYPE_RIGHT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocumentBuilder(ContainerContext cc, org.apache.commons.logging.Log log)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkParaAutoContainers(ParagraphProperties p)`
    `void` | `closeInvalidNonTargetContainers(ParagraphProperties p)`
    `protected abstract void` | `columnBreak()`
    `void` | `endAllAutoContainers()`
    `protected abstract void` | `endBookmark(java.lang.String name)`
    `protected abstract void` | `endBorderFrame()`
    `protected abstract void` | `endDocument()`
    `protected abstract void` | `endFooter()`
    `protected abstract void` | `endFootnote()`
    `protected abstract void` | `endHeader()`
    `protected abstract void` | `endPositionFrame()`
    `protected abstract void` | `endSection(boolean lastSection)`
    `protected abstract void` | `endTable()`
    `protected abstract void` | `endTableCell()`
    `protected abstract void` | `endTableRow()`
    `protected abstract void` | `enterDrawingObject()`
    `protected abstract void` | `enterField()`
    `protected abstract void` | `enterPicture()`
    `protected abstract void` | `enterShape()`
    `protected abstract void` | `enterShapeGroup()`
    `protected abstract void` | `enterShapePicture()`
    `ContainerContext` | `getContext()`
    `protected int` | `getLanguage()`
    `protected org.apache.commons.logging.Log` | `getLogger()`
    `void` | `handleAutoText(int autoTextType, RTFProperties props)`
    `void` | `handleOptionalHyphen(RTFProperties props)`
    `void` | `handleText(java.lang.String text, RTFProperties props)`
    `protected abstract void` | `insertAutoText(int autoTextConstant)`
    `protected void` | `insertOptionalHyphen()`
    `protected abstract void` | `insertText(java.lang.String text)`
    `boolean` | `isAllowPositionedTables()`
    `protected abstract void` | `lineBreak()`
    `void` | `openNonTargetContainers(ParagraphProperties p)` Starts automatically generated containers with following order in container context stack: [Position|Border]Frame Table TableRow TableCell
    `protected abstract void` | `pageBreak()`
    `protected abstract void` | `paragraphBreak()`
    `void` | `popContext()`
    `ContainerContext` | `pushContext(int containerType, boolean keepTableLevel)`
    `void` | `setAllowPositionedTables(boolean allowPositionedTables)`
    `protected abstract void` | `startBookmark(java.lang.String name)`
    `protected abstract void` | `startBorderFrame()`
    `protected abstract void` | `startFooter(int type)`
    `protected abstract void` | `startFootnote(java.lang.String link)`
    `protected abstract void` | `startHeader(int type)`
    `protected abstract void` | `startPositionFrame()`
    `protected abstract void` | `startSection()`
    `protected abstract void` | `startTable()`
    `protected abstract void` | `startTableCell()`
    `protected abstract void` | `startTableRow()`
    `protected abstract void` | `tabulator()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### HEADER_FOOTER_TYPE_ALL

          protected static final int HEADER_FOOTER_TYPE_ALL

      See Also:
        Constant Field Values

    - #### HEADER_FOOTER_TYPE_LEFT

          protected static final int HEADER_FOOTER_TYPE_LEFT

      See Also:
        Constant Field Values

    - #### HEADER_FOOTER_TYPE_RIGHT

          protected static final int HEADER_FOOTER_TYPE_RIGHT

      See Also:
        Constant Field Values

    - #### HEADER_FOOTER_TYPE_FIRST

          protected static final int HEADER_FOOTER_TYPE_FIRST

      See Also:
        Constant Field Values

    - #### AUTOTEXT_PAGE_NUMBER

          public static final int AUTOTEXT_PAGE_NUMBER

      See Also:
        Constant Field Values

    - #### AUTOTEXT_SECTION_NUMBER

          public static final int AUTOTEXT_SECTION_NUMBER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DocumentBuilder

          public DocumentBuilder(ContainerContext cc,
                         org.apache.commons.logging.Log log)

  - ### Method Detail

    - #### getContext

          public ContainerContext getContext()

    - #### pushContext

          public final ContainerContext pushContext(int containerType,
                                     boolean keepTableLevel)

    - #### popContext

          public final void popContext()

    - #### startFootnote

          protected abstract void startFootnote(java.lang.String link)

    - #### endFootnote

          protected abstract void endFootnote()

    - #### insertText

          protected abstract void insertText(java.lang.String text)

    - #### insertAutoText

          protected abstract void insertAutoText(int autoTextConstant)

    - #### paragraphBreak

          protected abstract void paragraphBreak()

    - #### lineBreak

          protected abstract void lineBreak()

    - #### endDocument

          protected abstract void endDocument()

    - #### startHeader

          protected abstract void startHeader(int type)

    - #### endHeader

          protected abstract void endHeader()

    - #### startFooter

          protected abstract void startFooter(int type)

    - #### endFooter

          protected abstract void endFooter()

    - #### startSection

          protected abstract void startSection()

    - #### endSection

          protected abstract void endSection(boolean lastSection)

    - #### tabulator

          protected abstract void tabulator()

    - #### pageBreak

          protected abstract void pageBreak()

    - #### columnBreak

          protected abstract void columnBreak()

    - #### enterField

          protected abstract void enterField()

    - #### enterShapePicture

          protected abstract void enterShapePicture()

    - #### enterPicture

          protected abstract void enterPicture()

    - #### enterShapeGroup

          protected abstract void enterShapeGroup()

    - #### enterShape

          protected abstract void enterShape()

    - #### enterDrawingObject

          protected abstract void enterDrawingObject()

    - #### startTable

          protected abstract void startTable()

    - #### endTable

          protected abstract void endTable()

    - #### startTableRow

          protected abstract void startTableRow()

    - #### endTableRow

          protected abstract void endTableRow()

    - #### startTableCell

          protected abstract void startTableCell()

    - #### endTableCell

          protected abstract void endTableCell()

    - #### startBookmark

          protected abstract void startBookmark(java.lang.String name)

    - #### endBookmark

          protected abstract void endBookmark(java.lang.String name)

    - #### startPositionFrame

          protected abstract void startPositionFrame()

    - #### endPositionFrame

          protected abstract void endPositionFrame()

    - #### startBorderFrame

          protected abstract void startBorderFrame()

    - #### endBorderFrame

          protected abstract void endBorderFrame()

    - #### insertOptionalHyphen

          protected void insertOptionalHyphen()

    - #### getLogger

          protected final org.apache.commons.logging.Log getLogger()

    - #### getLanguage

          protected int getLanguage()

    - #### isAllowPositionedTables

          public boolean isAllowPositionedTables()

    - #### handleOptionalHyphen

          public void handleOptionalHyphen(RTFProperties props)

    - #### handleText

          public void handleText(java.lang.String text,
                        RTFProperties props)

    - #### handleAutoText

          public void handleAutoText(int autoTextType,
                            RTFProperties props)

    - #### checkParaAutoContainers

          public final void checkParaAutoContainers(ParagraphProperties p)

    - #### closeInvalidNonTargetContainers

          public final void closeInvalidNonTargetContainers(ParagraphProperties p)

    - #### endAllAutoContainers

          public final void endAllAutoContainers()

    - #### openNonTargetContainers

          public final void openNonTargetContainers(ParagraphProperties p)

      Starts automatically generated containers with following order in container context stack:
      - [Position|Border]Frame
      - Table
      - TableRow
      - TableCell
      Parameters:
        `p` - ParagraphProperties

    - #### setAllowPositionedTables

          public void setAllowPositionedTables(boolean allowPositionedTables)

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.